
get_filename_component(_qt5V8_install_prefix "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

set(Qt5V8_VERSION_MAJOR 5)
set(Qt5V8_VERSION_MINOR 0)
set(Qt5V8_VERSION_PATCH 0)
set(Qt5V8_VERSION_STRING 5.0.0)

set(Qt5V8_LIBRARIES Qt5::V8)

set(Qt5V8_INCLUDE_DIRS "${_qt5V8_install_prefix}/include/" "${_qt5V8_install_prefix}/include/QtV8")
set(Qt5V8_PRIVATE_INCLUDE_DIRS "${_qt5V8_install_prefix}/include/QtV8/${Qt5V8_VERSION_STRING}/QtV8")

set(Qt5V8_DEFINITIONS -DQT_V8_LIB)
set(Qt5V8_COMPILE_DEFINITIONS QT_V8_LIB)

set(_Qt5V8_MODULE_DEPENDENCIES "")

set(_Qt5V8_FIND_DEPENDENCIES_REQUIRED)
if (Qt5V8_FIND_REQUIRED)
    set(_Qt5V8_FIND_DEPENDENCIES_REQUIRED REQUIRED)
endif()
set(_Qt5V8_FIND_DEPENDENCIES_QUIET)
if (Qt5V8_FIND_QUIETLY)
    set(_Qt5V8_DEPENDENCIES_FIND_QUIET QUIET)
endif()

foreach(_module_dep ${_Qt5V8_MODULE_DEPENDENCIES})
    if (NOT Qt5${_module_dep}_FOUND)
        find_package(Qt5${_module_dep}
            ${_Qt5V8_DEPENDENCIES_FIND_QUIET}
            ${_Qt5V8_FIND_DEPENDENCIES_REQUIRED}
            PATHS "${_qt5V8_install_prefix}" NO_DEFAULT_PATH
        )
    endif()

    if (NOT Qt5${_module_dep}_FOUND)
        set(Qt5V8_FOUND False)
        return()
    endif()

    list(APPEND Qt5V8_INCLUDE_DIRS "${Qt5${_module_dep}_INCLUDE_DIRS}")
    list(APPEND Qt5V8_PRIVATE_INCLUDE_DIRS "${Qt5${_module_dep}_PRIVATE_INCLUDE_DIRS}")
    list(APPEND Qt5V8_DEFINITIONS ${Qt5${_module_dep}_DEFINITIONS})
    list(APPEND Qt5V8_COMPILE_DEFINITIONS ${Qt5${_module_dep}_COMPILE_DEFINITIONS})
    list(APPEND Qt5V8_EXECUTABLE_COMPILE_FLAGS ${Qt5${_module_dep}_EXECUTABLE_COMPILE_FLAGS})
endforeach()
list(REMOVE_DUPLICATES Qt5V8_INCLUDE_DIRS)
list(REMOVE_DUPLICATES Qt5V8_PRIVATE_INCLUDE_DIRS)
list(REMOVE_DUPLICATES Qt5V8_DEFINITIONS)
list(REMOVE_DUPLICATES Qt5V8_COMPILE_DEFINITIONS)
if (Qt5V8_EXECUTABLE_COMPILE_FLAGS)
  list(REMOVE_DUPLICATES Qt5V8_EXECUTABLE_COMPILE_FLAGS)
endif()

set(_Qt5V8_LIB_DEPENDENCIES "")


macro(_populate_imported_target_properties Configuration LIB_LOCATION IMPLIB_LOCATION)
    set_property(TARGET Qt5::V8 APPEND PROPERTY IMPORTED_CONFIGURATIONS ${Configuration})

    set_target_properties(Qt5::V8 PROPERTIES
        "IMPORTED_LINK_INTERFACE_LIBRARIES_${Configuration}" "${_Qt5V8_LIB_DEPENDENCIES}"
        "IMPORTED_LOCATION_${Configuration}" "${_qt5V8_install_prefix}/lib/${LIB_LOCATION}"
        "IMPORTED_SONAME_${Configuration}" libQtV8.so.5
    )
    if(NOT "${IMPLIB_LOCATION}" STREQUAL "")
        set_target_properties(Qt5::V8 PROPERTIES
            "IMPORTED_IMPLIB_${Configuration}" "${_qt5V8_install_prefix}/lib/${IMPLIB_LOCATION}"
        )
    endif()
endmacro()

if (NOT TARGET Qt5::V8)
    add_library(Qt5::V8 SHARED IMPORTED)


    _populate_imported_target_properties(RELEASE "libQtV8.so.5.0.0" "" )



endif()


